# Interface ResourceBundleProvider

public interface ResourceBundleProvider
The interface of the service that gets `ResourceBundle` objects from a given bundle with a given locale.

This service abstracts out the reference to the `BundleLocalization` and enables the possibility to load `ResourceBundle`s from different locations than the default OSGi context.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`ResourceBundle`
`getResourceBundle(Bundle bundle, String locale)`
Returns a `ResourceBundle` object for the given bundle and locale.

## Method Details

### getResourceBundle

ResourceBundle getResourceBundle(Bundle bundle, String locale)
Returns a `ResourceBundle` object for the given bundle and locale.

Parameters:
  `bundle` - the bundle to get localization for
  `locale` - the name of the locale to get, or `null` if the default locale is to be used
Returns:
  A `ResourceBundle` object for the given bundle and locale, or `null` is returned if no ResourceBundle object can be loaded.